%define modname lxml
%define pyver %(python -V 2>&1 | cut -f2 -d" " | cut -f1,2 -d".")

Name:           python-%{modname}
URL:            http://codespeak.net/lxml/
Summary:        A Pythonic binding for the libxml2 and libxslt libraries
Version:        0.9.1
Release:        %mkrel 2
License:        BSD
Group:          Development/Python
Source:         http://codespeak.net/lxml/%{modname}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-root

BuildArch:      noarch

Requires:       python

BuildRequires:  libxml2-devel libxslt-devel pyrex python-devel

%description
lxml is a Pythonic binding for the libxml2 and libxslt libraries. It follows
the ElementTree API as much as possible, building it on top of the native
libxml2 tree. It also extends this API to expose libxml2 and libxslt specific
functionality, such as XPath, Relax NG, XML Schema, XSLT, and c14n.

%prep
%setup -q -n %{modname}-%{version}

%build
export CFLAGS="$RPM_OPT_FLAGS"
%{__python} setup.py build

export PYTHONPATH="$RPM_BUILD_ROOT%{_libdir}/python%{pyver}/site-packages"

%install
TARGETDIR=$RPM_BUILD_ROOT%{_libdir}/python%{pyver}/site-packages
mkdir -p $TARGETDIR

# -d %{buildroot} -a "%{buildroot}" != "" ] && rm -rf  %{buildroot}
%{__python} setup.py install --root=$RPM_BUILD_ROOT --record=INSTALLED_FILES

%clean
[ -d %{buildroot} -a "%{buildroot}" != "" ] && rm -rf  %{buildroot}

%files -f INSTALLED_FILES
%defattr(-,root,root)
%doc doc CHANGES.txt CREDITS.txt LICENSES.txt README.txt TODO.txt
%exclude %{_libdir}/debug/usr/lib/python2.4/site-packages/lxml/etree.so.debug
%exclude /usr/src/debug/lxml-0.9.1/src/lxml/etree.c

%changelog
* Mon Apr 10 2006 Jerome Soyer <saispo@mandriva.org> 0.9.1-2mdk
- Fix Requires

* Mon Apr 10 2006 Jerome Soyer <saispo@mandriva.org> 0.9.1-1mdk
- Initial release
    
